Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.nlp.trees
Interface ConstituentFactory

All Known Implementing Classes:
  SimpleConstituentFactory

    public interface ConstituentFactory

A `ConstituentFactory` is a factory for creating objects of class `Constituent`, or some descendent class. An interface.

Author:
  Christopher Manning

Method Summary
`Constituent` | `newConstituent(int start, int end)` Build a constituent with this start and end.
`Constituent` | `newConstituent(int start, int end, Label label, double score)` Build a constituent with this start and end.

Method Detail

### newConstituent

    Constituent newConstituent(int start,
                               int end)

  Build a constituent with this start and end.

  Parameters:
    `start` - Start position
    `end` - End position

### newConstituent

    Constituent newConstituent(int start,
                               int end,
                               Label label,
                               double score)

  Build a constituent with this start and end.

  Parameters:
    `start` - Start position
    `end` - End position
    `label` - Label
    `score` - Score

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Stanford NLP Group